Package org.drinkless.tdlib

# Class TdApi.MessageRefundedUpgradedGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageRefundedUpgradedGift

Enclosing class:
  `TdApi`

public static class TdApi.MessageRefundedUpgradedGift extends TdApi.MessageContent
A gift which purchase, upgrade or transfer were refunded.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Gift`
  `gift`
  The gift.
  `TdApi.UpgradedGiftOrigin`
  `origin`
  Origin of the upgraded gift.
  `TdApi.MessageSender`
  `receiverId`
  Receiver of the gift.
  `TdApi.MessageSender`
  `senderId`
  Sender of the gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageRefundedUpgradedGift()`
  A gift which purchase, upgrade or transfer were refunded.
  `MessageRefundedUpgradedGift(TdApi.Gift gift, TdApi.MessageSender senderId, TdApi.MessageSender receiverId, TdApi.UpgradedGiftOrigin origin)`
  A gift which purchase, upgrade or transfer were refunded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.Gift gift
    The gift.

  - ### senderId

    public TdApi.MessageSender senderId
    Sender of the gift.

  - ### receiverId

    public TdApi.MessageSender receiverId
    Receiver of the gift.

  - ### origin

    public TdApi.UpgradedGiftOrigin origin
    Origin of the upgraded gift.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageRefundedUpgradedGift

    public MessageRefundedUpgradedGift()
    A gift which purchase, upgrade or transfer were refunded.

  - ### MessageRefundedUpgradedGift

    public MessageRefundedUpgradedGift(TdApi.Gift gift, TdApi.MessageSender senderId, TdApi.MessageSender receiverId, TdApi.UpgradedGiftOrigin origin)
    A gift which purchase, upgrade or transfer were refunded.
    Parameters:
      `gift` - The gift.
      `senderId` - Sender of the gift.
      `receiverId` - Receiver of the gift.
      `origin` - Origin of the upgraded gift.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR